# Efficiently Enumerating Hitting Sets of Hypergraphs

This is the data used in the experiments for the ALENEX 2019 publication
*Efficiently Enumerating Hitting Sets of Hypergraphs Arising in Data Profiling*
by Thomas Bläsius, Tobias Friedrich, Julius Lischeid, Kitty Meeks, and Martin Schirneck.


## Description

The archive contains data from 12 databases:

- *abalone*
- *amalgam1*
- *call_a_bike*
- *civil_service*
- *echocardiogram*
- *fd_reduced_15*
- *fd_reduced_30*
- *flight_1k*
- *hepatitis*
- *horse*
- *ncvoter_allc*
- *uniprot*

Each database corresponds to three files. The raw data as a `csv` file, the hypergraph of minimal difference sets,
and the hypergraph of minimal unique column combinations (UCCs).
The hypergraphs are given as `graph` files (described below).
The ID of a hypergraph vertex is the number of the corresponding column in the database, from left to right starting with 0.
The minimal difference sets and minimal UCCs are mutually dual in that one are the minimal hitting sets of the other.

## Content

- `readme.md`: this file.
- `overview.csv`: the features of the databases and their hypergraphs.
	- `dataset`: name of the database.
	- `columns`: number of colums of the database.
	- `rows`: number of rows of the database.
	- `vertices`: number of vertices in the minimal difference sets.
	- `hyperedges`: number of minimal difference sets.
	- `transversal_rank`: maximum number of vertices in a minimal UCC.
	- `UCCs`: number of minimal UCCs.
- **tables**: databases as `csv` files.
	- the `csv` files do not have headers
- **difference_sets**: The hypergraph of minimal difference sets as `graph`-files.
	- filenames are of the form `*_diffsets.graph` where `*` is the name of the database.
- **uccs**: The hypergraph of minimal UCCs as `graph` files.
	- filenames are of the form `*_uccs.graph` where `*` is the name of the database.
	
## The GRAPH File Format

A `graph` file describes a hypergraph as a list of hyperedges.
Each line corresponds to one hyperedge and contains the space-separated vertex IDs.
An empty hyperedge is indicated by a line containing a single space and no IDs.
The file ends in a blank line. 